## fieldanalysis fieldanalysis |

## Properties

guint64 | block-height | Read / Write
guint64 | block-threshold | Read / Write
guint64 | block-width | Read / Write
FieldAnalysisCombMethod | comb-method | Read / Write
GstFieldAnalysisFieldMetric | field-metric | Read / Write
gfloat | field-threshold | Read / Write
GstFieldAnalysisFrameMetric | frame-metric | Read / Write
gfloat | frame-threshold | Read / Write
guint64 | ignored-lines | Read / Write
guint | noise-floor | Read / Write
gint64 | spatial-threshold | Read / Write

## Types and Values

struct | GstFieldAnalysis

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstFieldAnalysis

## Description

Analyse fields from video buffers to identify whether the buffers are progressive/telecined/interlaced and, if telecined, the telecine pattern used.

#### Example launch line

    1
    gst-launch-1.0 -v uridecodebin uri=/path/to/foo.bar ! fieldanalysis ! deinterlace ! videoconvert ! autovideosink

This pipeline will analyse a video stream with default metrics and thresholds and output progressive frames.

## Synopsis

### Element Information

plugin | fieldanalysis
author | Robert Swain <robert.swain@collabora.co.uk>
class | Filter/Analysis/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ YUY2, UYVY, Y42B, I420, YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ YUY2, UYVY, Y42B, I420, YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstFieldAnalysis

    struct GstFieldAnalysis;

## Property Details

### The `“block-height”` property

      “block-height”             guint64

Block height for windowed comb detection.

Flags: Read / Write

Default value: 16

### The `“block-threshold”` property

      “block-threshold”          guint64

Block threshold for windowed comb detection.

Flags: Read / Write

Default value: 80

### The `“block-width”` property

      “block-width”              guint64

Block width for windowed comb detection.

Flags: Read / Write

Allowed values: >= 1

Default value: 16

### The `“comb-method”` property

      “comb-method”              FieldAnalysisCombMethod

Metric to be used for identifying comb artifacts if using windowed comb detection.

Flags: Read / Write

Default value: 5-tap [1,-3,4,-3,1] vertical filter result is larger than spatial threshold*6

### The `“field-metric”` property

      “field-metric”             GstFieldAnalysisFieldMetric

Metric to be used for comparing same parity fields to decide if they are a repeated field for telecine.

Flags: Read / Write

Default value: Sum of Squared Differences

### The `“field-threshold”` property

      “field-threshold”          gfloat

Threshold for field metric decisions.

Flags: Read / Write

Allowed values: >= 0

Default value: 0.08

### The `“frame-metric”` property

      “frame-metric”             GstFieldAnalysisFrameMetric

Metric to be used for comparing opposite parity fields to decide if they are a progressive frame.

Flags: Read / Write

Default value: 5-tap [1,-3,4,-3,1] Vertical Filter

### The `“frame-threshold”` property

      “frame-threshold”          gfloat

Threshold for frame metric decisions.

Flags: Read / Write

Allowed values: >= 0

Default value: 0.002

### The `“ignored-lines”` property

      “ignored-lines”            guint64

Ignore this many lines from the top and bottom for windowed comb detection.

Flags: Read / Write

Allowed values: >= 2

Default value: 2

### The `“noise-floor”` property

      “noise-floor”              guint

Noise floor for appropriate metrics (per-pixel metric values with a score less than this will be ignored).

Flags: Read / Write

Default value: 16

### The `“spatial-threshold”` property

      “spatial-threshold”        gint64

Threshold for combing metric decisions.

Flags: Read / Write

Allowed values: >= 0

Default value: 9